# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Compress
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Compression API
Name:		php-horde-Horde_Compress
Version:	1.0.7
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	0a5e946f44708189c2b452ac38068882
URL:		https://github.com/horde/horde/tree/master/framework/Compress/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Stream_Filter
Suggests:	php-zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Stream/Filter.*)

%description
This package provides an API for various compression techniques.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Compress.php
%{php_pear_dir}/Horde/Compress
%{php_pear_dir}/data/Horde_Compress
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> a128564
- updated to: 1.0.7

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> aa88d27
- updated to: 1.0.6

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 6210c86
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 61ae483
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> cc757f5
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 9dbb378
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 338d30e
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 25fa1d7
- horde h4 pear packages

